using SqlSugar;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XF.Domain.Repository;

namespace Hotline.Schedulings
{
	[Description("排班班次")]
	public class SchedulingShift : FullStateEntity
	{
		/// <summary>
		/// 班次名称
		/// </summary>
		[SugarColumn(ColumnDescription = "班次名称")]
		public string Name { get; set; }

		/// <summary>
		/// 上班时间
		/// </summary>
		[SugarColumn(ColumnDataType = "time", ColumnDescription = "上班时间")]
		public TimeSpan? WorkingTime { get; set; }

		/// <summary>
		/// 下班时间
		/// </summary>
		[SugarColumn(ColumnDataType = "time", ColumnDescription = "下班时间")]
		public TimeSpan? OffDutyTime { get; set; }
	}
}
